Tesseract 3.02

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Classes | Namespaces | Typedefs
trie.h File Reference
`#include "dawg.h"`
`#include "cutil.h"`
`#include "genericvector.h"`

Go to the source code of this file.

## Classes

struct | TRIE_NODE_RECORD
class | tesseract::Trie

## Namespaces

namespace | tesseract

## Typedefs

typedef inT64 | EDGE_INDEX
typedef bool * | NODE_MARKER
typedef GenericVector < EDGE_RECORD > | EDGE_VECTOR
typedef GenericVector < TRIE_NODE_RECORD * > | TRIE_NODES

## Typedef Documentation

typedef inT64 EDGE_INDEX

Definition at line 32 of file trie.h.

typedef GenericVector<EDGE_RECORD> EDGE_VECTOR

Definition at line 46 of file trie.h.

typedef bool* NODE_MARKER

Definition at line 45 of file trie.h.

typedef GenericVector<TRIE_NODE_RECORD *> TRIE_NODES

Definition at line 52 of file trie.h.